- (defun c:PE_rev ()
- (setq oldlayer (getvar "clayer"))
- (setvar "cmdecho" 1)
- ; create revision tag layer then insert tag portion;;;;;;;;;;;;;;;;;;
- ;Get Revision number
- (SETQ RN (GETREAL "Enter Revision number: "))
- (Setq LND (strcat "PE_Rev"(rtos RN)"-Delta"))
- ; if you use (rtos RN 2 0) it will return an integer, (rtos RN 2 1)
- (SETQ SF (* (getvar "dimscale") 0.1))
- ` (TERPRI)
- (COMMAND "-LAYER" "M" LND "C" "40" LND "S" LND "")
- (SETQ PT (GETPOINT "SELECT INSERTION POINT:"))
- (TERPRI)
- ;
- ; EY_Rev is the revision tag symbol located at H:\Eng\a_blocks\Symbols;
- (COMMAND "-INSERT" "H:\\Eng\\a_blocks\\Symbols\\EY_REV" PT SF "" "" RN)
- ;
- ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;Revision cloud portion;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
- ; create revision layer then cloud
- ; (if (null (tblsearch "layer" "PE_revT-1"))
- (Setq LNC (strcat "PE_Rev"(rtos RN)"-Cloud"))
- (COMMAND "-LAYER" "M" LNCD "C" "40" LNC "S" LNC "")
- (c:revcloud)
- (setvar "clayer" oldlayer)
- (princ)
- )